<template>
  <div class="gris">
    <div class="divBuscador">
      <div>
        <v-text-field
          v-model="search"
          class="buscador"
          append-icon="mdi-magnify"
          label="Buscar..."
          single-line
          clearable
          hide-details
        >
        </v-text-field>
       
      </div>
    </div>

    <div>
      <v-data-table
        :headers="encabezadoAsignacion"
        :items="asignaciones"
        :page.sync="page"
        :items-per-page="itemsPerPage"
        @page-count="pageCount = $event"
        :search="search"
        
        class="tblGeneral tblAsignacion"
      >
        <template v-slot:item.Eliminar="{ item }">
          <button @click="dialogElimina = true,itemSeleccionado=item"><strong>Eliminar</strong> </button>
        </template>
      </v-data-table>
      
      
    </div>

    <v-dialog  v-model="dialogElimina" max-width="700" persistent>
      <v-card style="padding-bottom: 25px;">
         <v-card-title class="headline">
          <div class="titModal">
          <div><strong>¿Deseas eliminar la visita?</strong></div>
          </div>
           </v-card-title>
          <div class="contModal tCenter">
            <div>
              ¿Estás seguro que deseas eliminar la visita especial a:
            </div>
            <div>
              <strong>{{this.itemSeleccionado.eco}}  </strong>
              <strong>{{this.itemSeleccionado.nombreCeco}} para </strong>
              <strong>{{this.itemSeleccionado.nombreUsuario}}</strong>
            </div>
          </div>
          <div class="btnCenter" >
           <v-btn color="grey" dark @click="dialogElimina = false "  class="mr-10">
              <strong style="fond-size : 16px; ">No, Conservar visita</strong>
            </v-btn>
           
           <v-btn color="primary" dark @click="dialogConfimacion = true ,dialogElimina=false ;eliminaAsignacion()" >
              <strong style="fond-size : 16px; color:  #000;">Si, eliminar visita</strong>
            </v-btn>
      
          </div>
       
      </v-card>
    </v-dialog>

      <v-dialog  v-model="dialogConfimacion" max-width="600" persistent>
      <v-card  class="padding">
         <v-card-title class="headline">
          <div class="titModal">
          <div><strong>Visita especial eliminada</strong></div>
          </div>
          </v-card-title>
          <div class="contModal tCenter">
            <div>
              La visita especial a:
               <strong>{{this.itemSeleccionado.eco}}  </strong>
               <strong>{{this.itemSeleccionado.nombreCeco}} para </strong>
              <strong>{{this.itemSeleccionado.nombreUsuario}}</strong>
              ,ha sido eliminada.
            </div>
          </div>
          <div class="btnCenter" >
                <v-btn color="primary" dark @click="dialogConfimacion = false"  >
                    <strong style="fond-size : 16px; color:  #000;">¡De acuerdo!</strong>
                </v-btn>
          </div>
         
      </v-card>
    </v-dialog>



  </div>
</template>

<script>
import router from "@/router";
import store from "@/store";
const axiosChecklist = store.state.axiosChecklist;
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "tabla-asignacion",

  data() {
    return {
            itemSeleccionado:"",
            dialogElimina: false,
            dialogConfimacion:false,
            pageCount: 1,
            page: 1,
            itemsPerPage: 10,
            search: "",
            propiedades_footer: {
              itemsPerPageOptions: [2, 4, 5, 10],
      },
      encabezadoAsignacion: [
        {
          text: "Economico",
          value: "eco",
          align: "center",
        },
        {
          text: "Nombre Sucursal",
          value: "nombreCeco",
          align: "center",
        },
        {
          text: "Visita",
          value: "acronimo",
          align: "center",
        },
        {
          text: "No.Empleado",
          value: "idUsuario",
          align: "center",
        },
        {
          text: "Nombre Visitante",
          value: "nombreUsuario",
          align: "center",
        },
        {
          text: "Eliminar",
          value: "Eliminar",
          align: "center",
        },
      ],
      asignaciones: [
                    
      ],
    };
  },
  created() {
              this.getAsignaciones();
    },
  methods: {
            getAsignaciones() {
            axios
                .post(
                    "asignacion-sup/secure/post/asignacionsup" ,
                    {
                        idPerfil:3
                        
                    }
                )
                .then((response) => {
               
                    if (response) {
                        if (response.status === 200) {
                          
                          this.asignaciones = response.data.data;

                        }
                    }
                })
                .catch((error) => {
                    console.log(error);
                })
                .finally(function () {});
        },
        eliminaAsignacion(){
            //  alert(JSON.stringify(this.itemSeleccionado));
          axios
              .delete("/asignacion-sup/secure/delete/asignacion",
              {
                data:{
                   idUsuario : this.itemSeleccionado.idUsuario,
                   idCeco : this.itemSeleccionado.idCeco
                }
              })
              .then(response =>{
                   this.getAsignaciones();
                 //  alert(JSON.stringify(response.data))
                    if(response=== 200 &&response.data ==1){
                        this.dialogConfimacion=true;
                    }

              })
               .catch((error) => {
         console.log(error);
        })
        .finally(function() {});

        }
  },
};
</script>

<style>
      .padding{
                padding:25px;
      }
</style>
